Package htsjdk.tribble.index.interval

# Class Interval

java.lang.Object
htsjdk.tribble.index.interval.Interval

All Implemented Interfaces:
  `Comparable`

public class Interval extends Object implements Comparable
Quick and dirty interval class Describes a genomic interval and where in a file information for that interval can be obtained

## Constructor Summary

Constructors
Constructor
Description
`Interval(int start, int end)`
`Interval(int start, int end, Block block)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`boolean`
`equals(Object other)`
`Block`
`getBlock()`
`int`
`hashCode()`
`boolean`
`overlaps(Interval other)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Interval

public Interval(int start, int end)

### Interval

public Interval(int start, int end, Block block)

## Method Details

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### overlaps

public boolean overlaps(Interval other)

Returns:
  whether this interval overlaps the other.

### getBlock

public Block getBlock()

Returns:
  The file block for this interval